@echo off

REM ##### 引数の取得 #####
set PRODUCT_NO=%~1


REM ##### プロダクト情報の取得 #####
for /f "eol=# tokens=1,2 delims=]" %%R in ('call GetProductInfoSub.bat %PRODUCT_NO% 1') do (
	call :sub_name "%%R" "%%S" "%%T"
)
for /f "eol=# tokens=1,2 delims=]" %%R in ('call GetProductInfoSub.bat %PRODUCT_NO% 2') do (
	call :sub_version "%%R" "%%S"
)


REM ##### プロダクトがインストールされているかどうか #####
call CheckInstalledProduct.bat "%PRODUCT_NAME%"
if errorlevel 1 (
	set IS_INSTALLED=n
) else (
	set IS_INSTALLED=y
)
goto end


REM ##### プロダクト名の設定 #####
:sub_name
set PRODUCT_NAME=%~2
set PRODUCT_NAME=%PRODUCT_NAME:~1%
exit /b 0


REM ##### プロダクトのバージョンの設定 #####
:sub_version
set PRODUCT_VER=%~2
set PRODUCT_VER=%PRODUCT_VER:~1%
exit /b 0


REM ##### 終了処理 #####
:end
